List transaction templates
List transaction templates
get/tenants/{tenantUid}/templates
Authorizations
AuthorizationstringRequired
Token received from the auth service
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
sortBystringOptional
Defines which field the resource list is sorted by.
templateTypestringOptional
Filter on Template Type
Responses
200
TransactionTemplatesResponse
application/json
get/tenants/{tenantUid}/templates
GET /v2/tenants/{tenantUid}/templates HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
TransactionTemplatesResponse
{
"items": [
{
"type": "SMS_PICKUP_NOTE",
"name": "SMS pickup note",
"template": "Your order {.orderNumber} is ready to be picked up in {.storeName}",
"subject": "text",
"mimeType": "HTML",
"templateUid": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

